From: Bradley Haggerty <[email-masked]>
Date: Mon, 25 Feb 2019 01:21:44 +0000

Leo Famulari wrote:
> Can you give some details about how you are trying to start clipit with
your window manager session?
Yes, here's is an excerpt from the end of my ~/.config/awesome/rc.lua file.
-- Startup applications
autorun = true
autorunApps =
{
   "xset s off",
   "xset -dpms",
   "xset +fp /home/brad/.fonts",
   "xset +fp $(dirname $(readlink -f
~/.guix-profile/share/fonts/truetype/fonts.dir))",
   "xset fp rehash",
   --"xrandr --output HDMI-2 --primary --mode 1920x1200 --pos 1200x0
--rotate normal --output HDMI-1 --off --output LVDS-1 --off --output VGA-1
--mode 1920x1200 --pos 0x0 --rotate left",
   "mpd",
   "mpdscribble",
   "nm-applet",
   "clipit",
   "deluge-gtk",
}
if autorun then
   for app = 1, #autorunApps do
       awful.util.spawn(autorunApps[app])
   end
end

The other way I tried to launch it was manually via the application
launcher called rofi. it is similar to dmenu.

Tobias Geerinckx-Rice wrote:
> It's hard to tell, but it might be this[0] upstream issue

I agree, that issue sounds like what's happening here.

Tobias Geerinckx-Rice wrote:
>Are you comfortable building clipit from this[2] commit and
testing that?
I'm afraid I'm not comfortable doing that. I have yet to do anything that
advanced with Guix, and I don't have much experience building things from
source in general.